<?php
require_once('xconn.php');
 
session_start();

if ($conn ->connect_error) {
    die("Connection failed: " . $conn ->connect_error);
}
 
    $cID = htmlspecialchars($_POST['txt_id'],ENT_QUOTES);
    $dNombre = htmlspecialchars($_POST['txt_nombre'],ENT_QUOTES);
    $dApPat = htmlspecialchars($_POST['txt_appat'],ENT_QUOTES);
    $dApMat = htmlspecialchars($_POST['txt_apmat'],ENT_QUOTES);
    $dCalle = htmlspecialchars($_POST['txt_calle'],ENT_QUOTES);
    $dNumExt = htmlspecialchars($_POST['txt_ext'],ENT_QUOTES);
    $dNumInt = htmlspecialchars($_POST['txt_int'],ENT_QUOTES);
    $dCP = htmlspecialchars($_POST['txt_cp'],ENT_QUOTES);
    $dColonia = htmlspecialchars($_POST['txt_colonia'],ENT_QUOTES);
    $dMunicipio = htmlspecialchars($_POST['Cbo_Municipio'],ENT_QUOTES);
    $dEstado = htmlspecialchars($_POST['txt_estado'],ENT_QUOTES);
    $dTelefono = htmlspecialchars($_POST['txt_telefono'],ENT_QUOTES);
    $dEmail = htmlspecialchars($_POST['txt_correo'],ENT_QUOTES);
    $dFechaNac = htmlspecialchars($_POST['txt_fechanac'],ENT_QUOTES);
    $dEdad = htmlspecialchars($_POST['txt_edad'],ENT_QUOTES);
    $dEstadoCiv = htmlspecialchars($_POST['txt_edociv'],ENT_QUOTES);
    $dGenero = htmlspecialchars($_POST['txt_genero'],ENT_QUOTES);
    $dTipoActiv = htmlspecialchars($_POST['txt_tipoact'],ENT_QUOTES);
    $dUsuario = htmlspecialchars($_POST['txt_usuario'],ENT_QUOTES);
    $dPassword = htmlspecialchars($_POST['txt_password'],ENT_QUOTES);
    $idSolicitud = 0;
    $res = 0;

    $result2 = mysqli_query($conn,"SELECT * FROM t_solicitud ORDER BY c_solicitud DESC LIMIT 1");
    
    while ($valores = mysqli_fetch_array($result2)) {
      $idSolicitud = $valores['c_solicitud'];
    }

    if($idSolicitud == '0'){
      $idSolicitud = 1;
    }else{
      $idSolicitud = intval($idSolicitud) + 1;
    }

    $sql = "INSERT INTO `t_solicitud`(`c_cliente`, `f_solicitud`) VALUES ('$cID','NOW()')";

    if ($conn->query($sql) === TRUE) {
      $sql= "UPDATE `t_clientes` SET `d_nombre`='" . $dNombre . "',`d_appat`='" . $dApPat . "',`d_apmat`='" . $dApMat . "',`d_calle`='" . $dCalle . "',`d_noint`='" . $dNumInt . "',`d_noext`='" . $dNumExt . "',`d_cp`='" . $dCP . "',`c_colonia`='" . $dColonia . "',`c_municipioalcaldia`='" . $dMunicipio . "',`c_estado`='" . $dEstado . "',`c_telefono`='" . $dTelefono . "',`d_correo`='" . $dEmail . "',`d_fechanac`='" . $dFechaNac . "',`c_edad`='" . $dEdad . "',`c_estadoCivil`='" . $dEstadoCiv . "',`c_genero`='" . $dGenero . "',`c_tipoactividad`='" . $dTipoActiv . "',`d_usuario`='" . $dUsuario . "',`d_password`='" . $dPassword . "' WHERE c_cliente = '" . $cID . "'";

      if ($conn->query($sql) === TRUE) {
        header("Location: solicitud2.php?id=$cID&sol=$idSolicitud");
      } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
      }
    }else{
      echo "Error: " . $sql . "<br>" . $conn->error;
    }

$conn->close();

?>